Subject: Re: bug#24222: 24.5; Elisp `Standard Errors' and `Classifying Lists'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Oct 2016 17:21:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 13 Aug 2016 19:37:57 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> `wrong-number-of-arguments' is an index entry, with target node `Argument List'.  Perhaps that would be a better target in `Standard Errors', instead of `Classifying Lists'.

I couldn't find a better place for this index entry.  Instead, I added
a cross-reference to "Standard Errors".

> In node `Standard Errors', for error `wrong-number-of-arguments', the only description is "See Classifying Lists."  OK, so we click that link to find out what this error type means...
> 
> Node `Classifying Lists' we see some odd introductory text telling us to expect that "below" (in this node, presumably, as that is all we see at this point) we will find descriptions of the three kinds of forms (function call, macro call, special form).
> 
> But there are no such descriptions.  Huh?
> 
> And just where do we find a description of a `wrong-number-of-arguments'
> error?
> 
> This doc bug is _very_ old, dating back to at least Emacs 20.

I changed the cross-reference to go to Argument List" instead.